OpenJPEG: SIZmarker_param Struct Reference

OpenJPEG 2.5.0

Data Fields
SIZmarker_param Struct Reference

progression order More...

`#include <index_manager.h>`

## Data Fields
Byte2_t | Lsiz
| length of marker segment excluding the marker
Byte2_t | Rsiz
| capabilities that a decoder needs
Byte4_t | Xsiz
| width of the reference grid
Byte4_t | Ysiz
| height of the reference grid
Byte4_t | XOsiz
| horizontal offset from the origin of the reference grid to the left side of the image area
Byte4_t | YOsiz
| vertical offset from the origin of the reference grid to the top side of the image area
Byte4_t | XTsiz
| width of one reference tile with respect to the reference grid
Byte4_t | YTsiz
| height of one reference tile with respect to the reference grid
Byte4_t | XTOsiz
| horizontal offset from the origin of the reference grid to the left side of the first tile
Byte4_t | YTOsiz
| vertical offset from the origin of the reference grid to the top side of the first tile
Byte4_t | XTnum
| number of tiles in horizontal direction
Byte4_t | YTnum
| number of tiles in vertical direction
Byte2_t | Csiz
| number of the components in the image
Byte_t | Ssiz [3]
| precision (depth) in bits and sign of the component samples
Byte_t | XRsiz [3]
| horizontal separation of a sample of component with respect to the reference grid
Byte_t | YRsiz [3]
| vertical separation of a sample of component with respect to the reference grid

## Detailed Description

progression order

A.5.1 Image and tile size (SIZ)

## Field Documentation

## ◆ Csiz

Byte2_t SIZmarker_param::Csiz

number of the components in the image

Referenced by enqueue_allprecincts(), enqueue_precinct(), enqueue_precincts(), gene_cachemodel(), get_SIZ_from_jpipstream(), get_SIZmkrdata_from_j2kstream(), is_allsent(), print_cachemodel(), print_index(), print_SIZ(), recons_codestream_from_JPPstream(), recons_CPRLbitstream(), recons_LRCPbitstream(), recons_packet(), recons_PCRLbitstream(), recons_precinct(), recons_RLCPbitstream(), recons_RPCLbitstream(), set_ppixdata(), and set_SIZmkrdata().

## ◆ Lsiz

Byte2_t SIZmarker_param::Lsiz

length of marker segment excluding the marker

Referenced by get_mainheader_from_j2kstream(), get_SIZmkrdata_from_j2kstream(), modify_mainheader(), and set_SIZmkrdata().

## ◆ Rsiz

Byte2_t SIZmarker_param::Rsiz

capabilities that a decoder needs

Referenced by get_SIZmkrdata_from_j2kstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ Ssiz

Byte_t SIZmarker_param::Ssiz[3]

precision (depth) in bits and sign of the component samples

Referenced by get_SIZ_from_jpipstream(), get_SIZmkrdata_from_j2kstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ XOsiz

Byte4_t SIZmarker_param::XOsiz

horizontal offset from the origin of the reference grid to the left side of the image area

Referenced by enqueue_imagedata(), get_SIZmkrdata_from_j2kstream(), get_tile_Xrange(), modify_SIZmkrstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ XRsiz

Byte_t SIZmarker_param::XRsiz[3]

horizontal separation of a sample of component with respect to the reference grid

Referenced by get_SIZmkrdata_from_j2kstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ Xsiz

Byte4_t SIZmarker_param::Xsiz

width of the reference grid

Referenced by enqueue_imagedata(), get_SIZ_from_jpipstream(), get_SIZmkrdata_from_j2kstream(), get_tile_Xrange(), modify_SIZmkrstream(), print_SIZ(), recons_codestream_from_JPPstream(), recons_codestream_from_JPTstream(), and set_SIZmkrdata().

## ◆ XTnum

Byte4_t SIZmarker_param::XTnum

number of tiles in horizontal direction

Referenced by enqueue_imagedata(), enqueue_precinct(), get_SIZmkrdata_from_j2kstream(), get_tile_Xrange(), get_tile_Yrange(), is_allsent(), print_cachemodel(), print_index(), print_SIZ(), recons_packet(), recons_precinct(), set_SIZmkrdata(), and set_thixdata().

## ◆ XTOsiz

Byte4_t SIZmarker_param::XTOsiz

horizontal offset from the origin of the reference grid to the left side of the first tile

Referenced by get_SIZmkrdata_from_j2kstream(), get_tile_Xrange(), modify_SIZmkrstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ XTsiz

Byte4_t SIZmarker_param::XTsiz

width of one reference tile with respect to the reference grid

Referenced by get_SIZmkrdata_from_j2kstream(), get_tile_Xrange(), modify_SIZmkrstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ YOsiz

Byte4_t SIZmarker_param::YOsiz

vertical offset from the origin of the reference grid to the top side of the image area

Referenced by enqueue_imagedata(), get_SIZmkrdata_from_j2kstream(), get_tile_Yrange(), modify_SIZmkrstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ YRsiz

Byte_t SIZmarker_param::YRsiz[3]

vertical separation of a sample of component with respect to the reference grid

Referenced by get_SIZmkrdata_from_j2kstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ Ysiz

Byte4_t SIZmarker_param::Ysiz

height of the reference grid

Referenced by enqueue_imagedata(), get_SIZ_from_jpipstream(), get_SIZmkrdata_from_j2kstream(), get_tile_Yrange(), modify_SIZmkrstream(), print_SIZ(), recons_codestream_from_JPPstream(), recons_codestream_from_JPTstream(), and set_SIZmkrdata().

## ◆ YTnum

Byte4_t SIZmarker_param::YTnum

number of tiles in vertical direction

Referenced by enqueue_imagedata(), enqueue_precinct(), get_SIZmkrdata_from_j2kstream(), is_allsent(), print_cachemodel(), print_index(), print_SIZ(), recons_packet(), recons_precinct(), set_SIZmkrdata(), and set_thixdata().

## ◆ YTOsiz

Byte4_t SIZmarker_param::YTOsiz

vertical offset from the origin of the reference grid to the top side of the first tile

Referenced by get_SIZmkrdata_from_j2kstream(), get_tile_Yrange(), modify_SIZmkrstream(), print_SIZ(), and set_SIZmkrdata().

## ◆ YTsiz

Byte4_t SIZmarker_param::YTsiz

height of one reference tile with respect to the reference grid

Referenced by get_SIZmkrdata_from_j2kstream(), get_tile_Yrange(), modify_SIZmkrstream(), print_SIZ(), and set_SIZmkrdata().

The documentation for this struct was generated from the following file:

- index_manager.h